Subject: Re: Does git belong in root's $PATH?

From: Andreas Ericsson <[email-masked]>
Date: Sat, 07 Jan 2006 19:03:06 +0100

walt wrote:
> When updated my kernel this morning, the same way I've been doing
> it for many months, I noticed that the -gxxxxxxx localversion
> string was missing from the new kernel's name.
> 
> I finally figured out that this happened because /usr/local/bin
> is not in my root's $PATH, and the setlocalversion script depends
> on git.  (The only thing I do as root is 'make install').
> 
> I suppose I'm asking a philosophical question here:  do you
> guys install git where root can find it (as a system tool)?

I install it in /usr/bin. I don't *use* the git-tools as root though, so 
I don't feel there's anything to worry about (well, at least no more 
than for the other 2847 programs living in my $PATH).

> Does it really matter?

Theoretically, yes, but only if someone can trick you to, as root, doing 
something with git which triggers some yet undiscovered bug and makes it 
run code it was never meant to.

>  (The linux distribution I use is very
> picky about what it includes in root's path...)
> 

Not including /usr/local/{bin,sbin} in root's path is considered wise, 
since, historically, that's where users would install their own versions 
of programs that the system doesn't provide. This use has largely been 
obsoleted by $HOME/bin as the default for user-specific programs, mainly 
because of disks getting larger and cheaper.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231